/*
 * StepBae.fx
 *
 * Created on Feb 25, 2010, 4:06:09 PM
 */

package mindfusion.controls.demo;

import javafx.geometry.*;
import javafx.scene.*;
import javafx.scene.layout.*;
import javafx.scene.shape.*;


/**
 * @author Meppy
 */

package abstract class StepBase extends CustomNode, Resizable
{
	init
	{
		clip = Rectangle
		{
			translateX: 1;
			translateY: 1;
			width: bind width - 2;
			height: bind height - 2;
			smooth: false;
		};
	}

     override var width on replace { requestLayout(); }
     override var height on replace { requestLayout(); }

     override var layoutBounds = bind BoundingBox
	 {
         minX: 0 
         minY: 0
         width: this.width
         height: this.height
     }

	override function getPrefWidth(height: Number): Number
	{
		width;
	}

	override function getPrefHeight(width: Number): Number
	{
		height;
	}

	override function getMinWidth(): Number
	{
		0;
	}

	override function getMinHeight(): Number
	{
		0;
	}
}
