/*
 * Contact.fx
 *
 * Created on Aug 27, 2009, 9:19:51 AM
 */

package mindfusion.controls.demo;

import java.lang.*;
import java.util.*;
import javafx.scene.image.*;

import mindfusion.controls.*;


/**
 * @author Slavcho
 */

public class Contact extends Cloneable
{
	public var firstName : String;
	public var lastName : String;
	public var emailAddress : String;
	public var phone : String;
	// moar vars of weirdo types
	public var birthDate: java.util.Calendar;
	public var married: Boolean;
	public var age: Integer;
	public var iq: Number;
	public var image: Image;

	public override function clone() : Contact
	{
		return super.clone() as Contact;
	}
}

public class ContactComparator extends Comparator
{
	public var sortBy: String;
	public var sortType: Integer;
	def sortSign = bind if (sortType == SortType.ASCENDING) 1 else -1;

	public override function compare(c1: Object, c2: Object): Integer
	{
		var c1Value = Reflection.getStringValue(c1, sortBy);
		var c2Value = Reflection.getStringValue(c2, sortBy);

		if (c1Value == null)
		{
			if (c2Value != null)
				return -sortSign
			else
				return 0;
		}
		else
		{
			if (c2Value == null)
				return sortSign;
		}

		return sortSign * c1Value.compareTo(c2Value);
	}
}
