/*
 * StepCalendar.fx
 *
 * Created on Feb 26, 2010, 12:22:42 PM
 */

package mindfusion.controls.demo;

import javafx.scene.*;
import javafx.scene.layout.*;
import javafx.scene.paint.*;
import javafx.scene.control.*;

import mindfusion.controls.*;


/**
 * @author Meppy
 */

package class StepCalendar extends StepBase
{
	override function create(): Node
	{
		def margin = 5;
		var calendar: Calendar;

		VBox
		{
			translateX: 2 * margin;
			translateY: 2 * margin;
			spacing: margin;
			content:
			[
				calendar = Calendar
				{
					width: 240;
					height: 240;
				},
				Label
				{
					text: bind "The selected date is {calendar.selectedDate.toString()}";
					textFill: Color.WHITE;
					font: Utilities.DefaultTitleFont;
				}
			]
		}
	}
}
